PETSc version 3.17.4
Fix/Edit manual page

# PCMGGalerkinSetMatProductAlgorithm

Set type of SpGEMM for hypre to use

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCMGGalerkinSetMatProductAlgorithm(PC pc,const char name[])

Logically Collective on PC

### Input Parameters

| pc | - the hypre context
| type | - one of 'cusparse', 'hypre'

### Options Database Key

| -pc_mg_galerkin_mat_product_algorithm <cusparse,hypre> | - Type of SpGEMM to use in hypre

### See Also

PCMGGalerkinGetMatProductAlgorithm()

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages